import unittest, sys
import io
import unittest.mock
import math
import numpy as np

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'main')

@points('3-8')
class MainTest(unittest.TestCase):
   
    def test_answer_one(self):
        text = '''Humpty Dumpty sat on a wall
Humpty Dumpty had a great fall
all the king's horses and all the king's men
couldn't put Humpty together again'''
        
        main(text)
        output = get_out()
        expected = ["(0, 1)", "(1, 0)"]
        self.assertIn(output, expected)

    def test_answer_two(self):
        text2 = '''This little piggy went to market
This little piggy stayed home
This little piggy had roast beef
This little piggy had none
And this little piggy cried wee wee wee all the way home'''

        main(text2)
        output = get_out()
        expected = ["(2, 3)", "(3, 2)"]
        self.assertIn(output, expected, "Your answer passed the first test case, but must work correctly with any data set.")


if __name__ == '__main__':
    unittest.main()
